# std::clearerr

From cppreference.com
< cpp‎ | io‎ | c

Defined in header `<cstdio>` |  |
void clearerr( std::FILE* stream ); |  |

Resets the error flags and the `EOF` indicator for the given file stream.

### Parameters

stream | - | the file to reset the error flags for

### Return value

(none)

### Example

| This section is incomplete Reason: no example

### See also

feof | checks for the end-of-file (function)
perror | displays a character string corresponding of the current error to stderr (function)
ferror | checks for a file error (function)
C documentation for clearerr

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/io/c/clearerr&oldid=67594"
Category:

- Todo no example